%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions

Summary: KRISP database php 5.6 extension
Summary(ko): php 5.6 KRISP 확장
Name: php56-krisp
Version: 2.1.2
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: mod_krisp-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php56api libkrisp libkrisp-data
BuildRequires: php56-devel libkrisp-devel libipcalc-devel

%description
KRISP database php 5.7 extension

%prep
%setup -q -n mod_krisp-%{version}

%build

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/krisp.so %{buildroot}%{_extdir}/krisp.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{fpm,cli}
for i in fpm cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php56.d/$i/krisp.ini <<EOF
extension = krisp.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/krisp.so
%config(noreplace) %{_sysconfdir}/php56.d/fpm/krisp.ini
%config(noreplace) %{_sysconfdir}/php56.d/cli/krisp.ini

%changelog
* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:2.1.2-1%{?dist}
- rebuilt on AN3

* Fri Nov 16 2012 JoungKyun.Kim <http://oops.org> 10:2.1.2-1%{?dist}
- update 2.1.2 on php 5.4

* Mon Feb 27 2012 JoungKyun.Kim <http://oops.org> 1:2.1.1-1%{?dist}
- update 2.1.1

* Mon Oct 11 2010 JoungKyun.Kim <http://oops.org> 1:2.1.0-1%{?dist}
- first packaged

